<?php
/*
Plugin Name: ELI's Direct Install Method
Plugin URI: http://gotmls.net/direct-install-method/
Author: Eli Scheetz
Author URI: http://wordpress.ieonly.com/category/my-plugins/
Description: This Plugin just adds a filter to the filesystem_method funtion to force it to return 'direct'.
Version: 3.08.19
*/
function elis_filesystem_method() {
	return 'direct';
}
//add_filter('filesystem_method', 'elis_filesystem_method', 100000);
function elis_delete_recursive($dest) {
	if (is_dir($dest)) {
		if ($handle = opendir($dest)) {
			while (false !== ($entry = readdir($handle)))
				if ($entry != "." && $entry != "..")
					elis_delete_recursive($dest.'/'.$entry);
			closedir($handle);
		}
		echo "<li>Deleting $dest ... ".(rmdir($dest)?"Success":"Failed")."</li>";
	} elseif (is_file($dest))
		echo "<li>Deleting $dest ... ".(unlink($dest)?"Success":"Failed")."</li>";
}
function elis_delete_destination($source, $remote_source, $plugin) {
	global $wp_filesystem;
	$dest = trailingslashit(WP_PLUGIN_DIR).basename($source);
	elis_delete_recursive($dest);
//	if ( $wp_filesystem->exists($dest) )
//		$removed = $wp_filesystem->delete($dest, true);
	return $source;
}
add_filter('upgrader_source_selection', 'elis_delete_destination', 100000, 3);
